Subject: Re: bug#14860: [Peter Vasil] emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0

From: Peter Vasil <[email-masked]>
Date: Sun, 14 Jul 2013 11:09:29 +0200

Indeed, I have an advice on that function

(defadvice goto-line-with-feedback
    (after
     expand-after-goto-line-with-feedback
     activate compile)
    "hideshow-expand affected block when using
goto-line-with-feedback in a collapsed buffer"
    (save-excursion
      (hs-show-block)))

Peter

On Sun, Jul 14, 2013 at 1:35 AM, Stefan Monnier
<[email-masked]> wrote:
> [ Making it into a proper bug-report.  ]
>
>
>
> ---------- Forwarded message ----------
> From: Peter Vasil <[email-masked]>
> To: [email-masked]
> Cc:
> Date: Sat, 13 Jul 2013 13:02:24 +0200
> Subject: emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0
> Hi list,
>
> I have the following function in my init.el file
>
> (defun goto-line-with-feedback ()
>   "Show line numbers temporarily, while prompting for the line number input"
>   (interactive)
>   (let ((line-numbers-off-p (if (boundp 'linum-mode)
>                                 (not linum-mode)
>                               t)))
>     (unwind-protect
>         (progn
>           (when line-numbers-off-p
>             (linum-mode 1))
>           (call-interactively 'goto-line))
>       (when line-numbers-off-p
>         (linum-mode -1)))))
>
> When I byte-compile init.el I get the following warning:
> function goto-line-with-feedback used to take 0+ arguments, now takes 0
>
> With emacs 24.3 I don't get this warning only with emacs trunk.
> I am on revision 113411
>
> Thanks,
> Peter
>